<?php
////////////////////////////////////////////////////////////////////
class MySQLException extends Exception{
  //żadnych nowych danych składowych
  public function __construct($message, $errorno){
    //sprawdza, czy nie ma błędów programisty
    if($errorno >= 5000){
      $message = "Typ " . __CLASS__  .". Niewłaściwe użycie klasy. ". $message;
    }else{
      $message = __CLASS__  . " - ". $message;
    }
    //wywołuje konstruktor klasy Exception
    parent::__construct($message, $errorno);
  }
  //przesłania __tostring
  public function __toString(){
    return ("Błąd: $this->code - $this->message");
  }
}
?>
